<!--
This defines the files that will make the assembly (zip file) to be deployed to AWS Elastic Beanstalk.
-->
<assembly xmlns="http://maven.apache.org/ASSEMBLY/2.0.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/ASSEMBLY/2.0.0 http://maven.apache.org/xsd/assembly-2.0.0.xsd">
    <id>aws-beanstalk</id>
    <formats>
        <format>zip</format>
    </formats>
    <includeBaseDirectory>false</includeBaseDirectory>
    <fileSets>
        <!-- directory containing configuration files needed by the Beanstalk runtime -->
        <fileSet>
            <directory>beanstalk</directory>
            <outputDirectory>${file.separator}</outputDirectory>
            <includes>
                <include>**</include>
            </includes>
        </fileSet>
    </fileSets>
    <files>
        <!-- executable jar -->
        <file>
            <source>
                ${project.build.directory}${file.separator}${project.artifactId}-${project.version}.jar
            </source>
            <outputDirectory>
                ${file.separator}
            </outputDirectory>
            <destName>
                application.jar
            </destName>
        </file>
    </files>
</assembly>